export default function About() {
  return (
    <div className="flex flex-col">
      {/* Hero Section */}
      <section className="relative h-[50vh] flex items-center">
        <div 
          className="absolute inset-0 z-0"
          style={{
            backgroundImage: "url('https://images.unsplash.com/photo-1455849318743-b2233052fcff')",
            backgroundSize: "cover",
            backgroundPosition: "center",
            filter: "brightness(0.7)"
          }}
        />
        <div className="container mx-auto px-4 relative z-10">
          <h1 className="text-5xl font-bold text-white mb-4">Our Story</h1>
        </div>
      </section>

      {/* Brand Story */}
      <section className="py-20">
        <div className="container mx-auto px-4">
          <div className="max-w-3xl mx-auto">
            <h2 className="text-3xl font-bold mb-8">Crafting Excellence</h2>
            <div className="prose prose-lg">
              <p>
                Founded with a passion for exceptional craftsmanship and timeless design,
                Limp Lambskin has been creating luxury leather bags that stand the test of time.
                Our journey began with a simple belief: that every bag should tell a story of
                quality, elegance, and attention to detail.
              </p>

              <p>
                We source only the finest leather materials, working with trusted suppliers
                who share our commitment to ethical and sustainable practices. Each piece
                is meticulously crafted by skilled artisans who have honed their craft
                over years of dedicated practice.
              </p>

              <h3 className="text-2xl font-bold mt-12 mb-6">Our Values</h3>
              
              <ul>
                <li>
                  <strong>Quality First</strong> - We never compromise on materials or craftsmanship
                </li>
                <li>
                  <strong>Sustainable Practices</strong> - Ethical sourcing and production methods
                </li>
                <li>
                  <strong>Timeless Design</strong> - Creating pieces that transcend trends
                </li>
                <li>
                  <strong>Customer Focus</strong> - Building lasting relationships with our clients
                </li>
              </ul>
            </div>
          </div>
        </div>
      </section>

      {/* Craftsmanship Section */}
      <section className="py-20 bg-muted/20">
        <div className="container mx-auto px-4">
          <div className="grid md:grid-cols-2 gap-12 items-center">
            <img 
              src="https://images.unsplash.com/photo-1463100099107-aa0980c362e6"
              alt="Our Craftsmanship"
              className="rounded-lg"
            />
            <div>
              <h2 className="text-3xl font-bold mb-6">The Art of Leather Crafting</h2>
              <p className="text-muted-foreground mb-4">
                Every Limp Lambskin bag is a testament to the art of leather crafting.
                Our artisans spend countless hours perfecting each detail, from the initial
                cutting of the leather to the final stitching.
              </p>
              <p className="text-muted-foreground">
                We believe that true luxury lies in the details - the smoothness of a
                zipper, the strength of a seam, the softness of the leather. It's these
                small touches that make each bag not just an accessory, but a companion
                for life.
              </p>
            </div>
          </div>
        </div>
      </section>
    </div>
  );
}
