import { Card, CardContent } from "@/components/ui/card";

export default function RefundPolicy() {
  return (
    <div className="py-12">
      <div className="container mx-auto px-4">
        <div className="max-w-3xl mx-auto">
          <h1 className="text-3xl font-bold mb-8">Refund Policy</h1>
          
          <Card className="mb-8">
            <CardContent className="pt-6">
              <div className="prose prose-gray max-w-none">
                <h2 className="text-xl font-semibold mb-4">Return Period</h2>
                <p className="mb-4">
                  We offer a 30-day return policy for all our products. To be eligible for a return, your item must be unused and in the same condition that you received it. It must also be in the original packaging.
                </p>
                
                <h2 className="text-xl font-semibold mb-4">Refund Process</h2>
                <p className="mb-4">
                  Once your return is received and inspected, we will send you an email to notify you that we have received your returned item. We will also notify you of the approval or rejection of your refund.
                </p>
                <p className="mb-4">
                  If approved, your refund will be processed, and a credit will automatically be applied to your original method of payment within 5-10 business days.
                </p>
                
                <h2 className="text-xl font-semibold mb-4">Non-Refundable Items</h2>
                <p className="mb-4">
                  - Personalized or custom-made items
                  <br />
                  - Items marked as final sale
                  <br />
                  - Items that show signs of wear or use
                </p>
                
                <h2 className="text-xl font-semibold mb-4">Return Shipping</h2>
                <p className="mb-4">
                  You will be responsible for paying for your own shipping costs for returning your item. Shipping costs are non-refundable. If you receive a refund, the cost of return shipping will be deducted from your refund.
                </p>
                
                <h2 className="text-xl font-semibold mb-4">Damaged Items</h2>
                <p className="mb-4">
                  If you receive a damaged item, please contact us immediately at support@limplambskin.com. We will provide a prepaid shipping label for return and send you a replacement item.
                </p>
                
                <h2 className="text-xl font-semibold mb-4">Contact Us</h2>
                <p className="mb-4">
                  If you have any questions about our refund policy, please contact us at:
                  <br />
                  Email: support@limplambskin.com
                  <br />
                  Phone: (939) 213-3068
                </p>
              </div>
            </CardContent>
          </Card>
        </div>
      </div>
    </div>
  );
}
