import { Card, CardContent } from "@/components/ui/card";

export default function ShippingPolicy() {
  return (
    <div className="py-12">
      <div className="container mx-auto px-4">
        <div className="max-w-3xl mx-auto">
          <h1 className="text-3xl font-bold mb-8">Shipping Policy</h1>
          
          <Card className="mb-8">
            <CardContent className="pt-6">
              <div className="prose prose-gray max-w-none">
                <h2 className="text-xl font-semibold mb-4">Processing Time</h2>
                <p className="mb-4">
                  All orders are processed within 1-2 business days. Orders placed during weekends or holidays will be processed on the next business day.
                </p>
                
                <h2 className="text-xl font-semibold mb-4">Shipping Methods & Times</h2>
                <ul className="list-disc pl-6 mb-4">
                  <li className="mb-2">
                    <strong>Standard Shipping (Free)</strong>
                    <br />
                    5-7 business days
                  </li>
                  <li className="mb-2">
                    <strong>Express Shipping ($15)</strong>
                    <br />
                    2-3 business days
                  </li>
                  <li className="mb-2">
                    <strong>Next Day Delivery ($25)</strong>
                    <br />
                    Next business day for orders placed before 2 PM EST
                  </li>
                </ul>
                
                <h2 className="text-xl font-semibold mb-4">International Shipping</h2>
                <p className="mb-4">
                  We currently ship to most countries worldwide. International shipping rates are calculated at checkout based on destination and package weight. Please note that import duties and taxes are not included in the shipping cost.
                </p>
                
                <h2 className="text-xl font-semibold mb-4">Tracking Information</h2>
                <p className="mb-4">
                  Once your order ships, you will receive a confirmation email with tracking information. You can track your package's status at any time through your account dashboard.
                </p>
                
                <h2 className="text-xl font-semibold mb-4">Shipping Restrictions</h2>
                <p className="mb-4">
                  Some restrictions may apply to certain destinations. We reserve the right to cancel orders to addresses we cannot ship to due to regulatory or other restrictions.
                </p>
                
                <h2 className="text-xl font-semibold mb-4">Lost or Damaged Packages</h2>
                <p className="mb-4">
                  If your package is lost or damaged during transit, please contact our customer service team within 48 hours of the delivery date. We will work with the shipping carrier to resolve the issue.
                </p>
                
                <h2 className="text-xl font-semibold mb-4">Contact Information</h2>
                <p className="mb-4">
                  For any shipping-related questions, please contact us at:
                  <br />
                  Email: shipping@limplambskin.com
                  <br />
                  Phone: (939) 213-3068
                </p>
              </div>
            </CardContent>
          </Card>
        </div>
      </div>
    </div>
  );
}
