import { Card, CardContent } from "@/components/ui/card";

export default function TermsAndConditions() {
  return (
    <div className="py-12">
      <div className="container mx-auto px-4">
        <div className="max-w-3xl mx-auto">
          <h1 className="text-3xl font-bold mb-8">Terms and Conditions</h1>
          
          <Card className="mb-8">
            <CardContent className="pt-6">
              <div className="prose prose-gray max-w-none">
                <h2 className="text-xl font-semibold mb-4">1. Introduction</h2>
                <p className="mb-4">
                  Welcome to Limp Lambskin. By accessing and using our website, you accept and agree to be bound by the terms and conditions laid out on this page.
                </p>
                
                <h2 className="text-xl font-semibold mb-4">2. Intellectual Property</h2>
                <p className="mb-4">
                  All content on this website, including but not limited to text, graphics, logos, images, and software, is the property of Limp Lambskin and is protected by copyright laws.
                </p>
                
                <h2 className="text-xl font-semibold mb-4">3. User Account</h2>
                <p className="mb-4">
                  When creating an account on our website, you must provide accurate and complete information. You are responsible for maintaining the confidentiality of your account and password.
                </p>
                
                <h2 className="text-xl font-semibold mb-4">4. Product Information</h2>
                <p className="mb-4">
                  We strive to display our products as accurately as possible. However, colors and appearances may vary depending on your device's display settings.
                </p>
                
                <h2 className="text-xl font-semibold mb-4">5. Pricing and Payments</h2>
                <p className="mb-4">
                  All prices are in USD unless otherwise stated. We reserve the right to modify prices without prior notice. All payments are processed securely through our payment partners.
                </p>
                
                <h2 className="text-xl font-semibold mb-4">6. Order Acceptance</h2>
                <p className="mb-4">
                  We reserve the right to refuse any order you place with us. We may, at our sole discretion, limit or cancel quantities purchased per person, per household, or per order.
                </p>
                
                <h2 className="text-xl font-semibold mb-4">7. Modifications</h2>
                <p className="mb-4">
                  We reserve the right to modify these terms and conditions at any time. Changes will be effective immediately upon posting to the website.
                </p>
                
                <h2 className="text-xl font-semibold mb-4">8. Governing Law</h2>
                <p className="mb-4">
                  These terms and conditions are governed by and construed in accordance with the laws of the United States. Any disputes shall be subject to the exclusive jurisdiction of the courts.
                </p>
              </div>
            </CardContent>
          </Card>
        </div>
      </div>
    </div>
  );
}
